# Ghana NLP Python Client

This is a Python client library for interacting with the [Ghana NLP API](https://api.ghananlp.org). The library provides simple methods to leverage local African language technologies, including **translation**, **speech-to-text (STT)**, and **text-to-speech (TTS)**, for building localized applications.

## Features

- **Translation**: Convert text from one language to another (e.g., English to Twi).
- **Speech-to-Text (STT)**: Convert spoken language (audio files) into text.
- **Text-to-Speech (TTS)**: Convert text into natural-sounding speech in local languages.

## Installation

You can install this library using `pip`:

```bash
pip install ghana-nlp
